Bug 1277220 - "ERROR -- Event not found in MiqAeDatastore", update messaging
"ERROR -- Event not found in MiqAeDatastore", update messaging
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity low
: GA
: 5.5.0
Assigned To: Lucy Fu
Ramesh A
:
: 1279595 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 12:23 EST by Ramesh A
Modified: 2015-12-08 08:43 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:43:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh A 2015-11-02 12:23:32 EST
Description of problem:
"ERROR -- : Class [System/Event/EmsEvent/VC] not found in MiqAeDatastore" found in evm.log and auotmationl.log file

Version-Release number of selected component (if applicable):
5.5.0.8-beta1.4.20151027164951_4ab7fea

How reproducible:
Very

Steps to Reproduce:
1. Deploy an appliance
2. Manage any provider
3. Wait for few min and check evm.log and automation.log

Actual results:
automation.log:
==============
[----] E, [2015-11-02T11:57:53.442143 #2964:deb994] ERROR -- : Class [System/Event/EmsEvent/VC] not found in MiqAeDatastore

evm.log:
========
[----] E, [2015-11-02T11:57:53.442143 #2964:deb994] ERROR -- : <AutomationEngine> Class [System/Event/EmsEvent/VC] not found in MiqAeDatastore

Expected results:
Should not throw any error message

Additional info:
Comment 2 Greg McCullough 2015-11-05 12:00:15 EST
Lucy - Need to add .missing methods to the event namespaces to handle this since there are plenty of events that we do not expect to handle and are not errors.
Comment 3 Dave Johnson 2015-11-05 12:03:13 EST
I also believe that some of these are expected, like from osp, we don;t care about .start events, we only care about .end.  Because of that, I am thinking WARN is a more appropriate loglevel than ERROR.
Comment 5 CFME Bot 2015-11-09 09:10:20 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ffe4999c528428a308774887bebed90dd6eff6e8

commit ffe4999c528428a308774887bebed90dd6eff6e8
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Nov 5 17:33:34 2015 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Nov 5 17:34:01 2015 -0500

    Add .missing methods to the event namespaces to handle the events that we do not expect to handle and are not errors.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277220

 .../ManageIQ/System/Event/EmsEvent/AMAZON.class/_missing.yaml  | 10 ++++++++++
 .../System/Event/EmsEvent/KUBERNETES.class/_missing.yaml       | 10 ++++++++++
 .../System/Event/EmsEvent/OPENSTACK.class/_missing.yaml        | 10 ++++++++++
 .../ManageIQ/System/Event/EmsEvent/RHEVM.class/_missing.yaml   | 10 ++++++++++
 .../ManageIQ/System/Event/EmsEvent/VC.class/_missing.yaml      | 10 ++++++++++
 .../System/Event/RequestEvent/Request.class/_missing.yaml      | 10 ++++++++++
 6 files changed, 60 insertions(+)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/AMAZON.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/KUBERNETES.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OPENSTACK.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/RHEVM.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/VC.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/RequestEvent/Request.class/_missing.yaml
Comment 7 CFME Bot 2015-11-10 14:06:41 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=21d0aa4ba03e0392897d6f50d6eb0261f3a6af96

commit 21d0aa4ba03e0392897d6f50d6eb0261f3a6af96
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Nov 5 17:33:34 2015 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Mon Nov 9 10:18:02 2015 -0500

    Add .missing methods to the event namespaces to handle the events that we do not expect to handle and are not errors.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277220

 .../ManageIQ/System/Event/EmsEvent/AMAZON.class/_missing.yaml  | 10 ++++++++++
 .../System/Event/EmsEvent/KUBERNETES.class/_missing.yaml       | 10 ++++++++++
 .../System/Event/EmsEvent/OPENSTACK.class/_missing.yaml        | 10 ++++++++++
 .../ManageIQ/System/Event/EmsEvent/RHEVM.class/_missing.yaml   | 10 ++++++++++
 .../ManageIQ/System/Event/EmsEvent/VC.class/_missing.yaml      | 10 ++++++++++
 .../System/Event/RequestEvent/Request.class/_missing.yaml      | 10 ++++++++++
 6 files changed, 60 insertions(+)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/AMAZON.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/KUBERNETES.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OPENSTACK.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/RHEVM.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/VC.class/_missing.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/RequestEvent/Request.class/_missing.yaml
Comment 8 Dave Johnson 2015-11-14 11:34:54 EST
*** Bug 1279595 has been marked as a duplicate of this bug. ***
Comment 9 Ramesh A 2015-11-19 10:08:36 EST
Good to go.  Verified and working fine in 5.5.0.11-rc1.20151117182049_653c0d4
Comment 11 errata-xmlrpc 2015-12-08 08:43:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.